ExchEventType (3.14.0 310 API)
Date: 2018-05-30

com.marketfactory.messaging

## Enum ExchEventType

- java.lang.Object
- - java.lang.Enum<ExchEventType>
  - - com.marketfactory.messaging.ExchEventType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ExchEventType>

      public enum ExchEventType
      extends java.lang.Enum<ExchEventType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `_INVALID`
    `CREDITAVAILABLE`
    `CREDITEXHAUSTED`
    `CREDITLOW`
    `ERROR`
    `NO_CANCEL`
    `PRE_OPEN`
    `TRADEDATEROLLOVER`
    `TRADING_CLOSED`
    `TRADING_OPEN`
    `VALUEDATEROLLOVER`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte` | `val`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `get()`
    `static ExchEventType` | `get(byte value)`
    `static java.util.Collection<ExchEventType>` | `validValues()`
    `static ExchEventType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ExchEventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CREDITAVAILABLE

          public static final ExchEventType CREDITAVAILABLE

    - #### CREDITLOW

          public static final ExchEventType CREDITLOW

    - #### CREDITEXHAUSTED

          public static final ExchEventType CREDITEXHAUSTED

    - #### TRADEDATEROLLOVER

          public static final ExchEventType TRADEDATEROLLOVER

    - #### VALUEDATEROLLOVER

          public static final ExchEventType VALUEDATEROLLOVER

    - #### TRADING_OPEN

          public static final ExchEventType TRADING_OPEN

    - #### TRADING_CLOSED

          public static final ExchEventType TRADING_CLOSED

    - #### ERROR

          public static final ExchEventType ERROR

    - #### PRE_OPEN

          public static final ExchEventType PRE_OPEN

    - #### NO_CANCEL

          public static final ExchEventType NO_CANCEL

    - #### _INVALID

          public static final ExchEventType _INVALID

  - ### Field Detail

    - #### val

          public byte val

  - ### Method Detail

    - #### values

          public static ExchEventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ExchEventType c : ExchEventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ExchEventType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public byte get()

    - #### get

          public static ExchEventType get(byte value)

    - #### validValues

          public static java.util.Collection<ExchEventType> validValues()